Subject: Binary Syntax and the binary Attribute Type option

From: "Damian Power" <[email-masked]>
Date: Fri, 19 Jan 2001 15:25:31 -0000

Hi,

I have a question somewhat related to the "AttributeTypeValue and binary"
thread currently on the ELSE and LDAPBIS lists, but different enough that I
don't want to pollute that thread.

Simply put, my question is this: given that an Attribute Type is defined as
having Binary syntax (1.3.6.1.4.1.1466.115.121.1.5), is the ;binary option
required when referring to that attribute in protocol? For example,
attribute type "foo" has Binary syntax. If I request this attribute in a
search, do I refer to it as "foo" or "foo;binary"?

I don't believe the RFCs make a clear statement either way, so I'm looking
to see if a particular interpretation has gained acceptance. My personal
feeling is that the option should not be required.

I accept that the presence/absence of the option doesn't affect the value
returned.

Regards,

Damian.